libusb: libusb_interface_association_descriptor Struct Reference

| libusb 1.0.27 A cross-platform user library to access USB devices

Data Fields
libusb_interface_association_descriptor Struct Reference
USB descriptors

A structure representing the standard USB interface association descriptor. More...

`#include <libusb.h>`

## Data Fields
uint8_t | bLength
| Size of this descriptor (in bytes)
uint8_t | bDescriptorType
| Descriptor type.
uint8_t | bFirstInterface
| Interface number of the first interface that is associated with this function.
uint8_t | bInterfaceCount
| Number of contiguous interfaces that are associated with this function.
uint8_t | bFunctionClass
| USB-IF class code for this function.
uint8_t | bFunctionSubClass
| USB-IF subclass code for this function.
uint8_t | bFunctionProtocol
| USB-IF protocol code for this function.
uint8_t | iFunction
| Index of string descriptor describing this function.

## Detailed Description

A structure representing the standard USB interface association descriptor.

This descriptor is documented in section 9.6.4 of the USB 3.0 specification. All multiple-byte fields are represented in host-endian format.

## Field Documentation

## ◆ bDescriptorType

uint8_t libusb_interface_association_descriptor::bDescriptorType

Descriptor type.

Will have value libusb_descriptor_type::LIBUSB_DT_INTERFACE_ASSOCIATION LIBUSB_DT_INTERFACE_ASSOCIATION in this context.

## ◆ bFunctionClass

uint8_t libusb_interface_association_descriptor::bFunctionClass

USB-IF class code for this function.

A value of zero is not allowed in this descriptor. If this field is 0xff, the function class is vendor-specific. All other values are reserved for assignment by the USB-IF.

## ◆ bFunctionSubClass

uint8_t libusb_interface_association_descriptor::bFunctionSubClass

USB-IF subclass code for this function.

If this field is not set to 0xff, all values are reserved for assignment by the USB-IF

## ◆ bFunctionProtocol

uint8_t libusb_interface_association_descriptor::bFunctionProtocol

USB-IF protocol code for this function.

These codes are qualified by the values of the bFunctionClass and bFunctionSubClass fields.

The documentation for this struct was generated from the following file:

- libusb.h